---
title: "List Products matching a Discount"
url: "https://developer.migros.ch/apis/prices-discounts-1/versions/f2d88540-a3d1-4e7d-9eb7-5d3dac51c93d/operations/discountProducts"
---

> Full API specification: https://developer.migros.ch/apis/prices-discounts-1/versions/f2d88540-a3d1-4e7d-9eb7-5d3dac51c93d.md

# List Products matching a Discount

`GET` `/migros/marketing/promotions/v1/discounts/{discountId}/products`

Operation ID: `discountProducts`

List ProductIDs that fall under the given Discount. This endpoint can help humans to get an better idea what that discount actually is by listing some of the products it matches; it is unsuitable to get all products that apply to a discount.

## Path parameters

- `discountId` (string, required) - The ID of the discount.

## Query parameters

- `limit` (integer, optional) - Maximum number of product IDs to return. (Default is 30.)

## Responses

- `200` - List of Product IDs.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Prices & Discounts
  version: 1.6.0
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/marketing/promotions/v1/discounts/{discountId}/products:
    get:
      description: >-
        List ProductIDs that fall under the given Discount.


        This endpoint can help humans to get an better idea what that discount
        actually is by listing some of the products it matches; it is unsuitable
        to get all products that apply to a discount.
      operationId: discountProducts
      parameters:
        - $ref: "#/components/parameters/discountId"
        - description: Maximum number of product IDs to return. (Default is 30.)
          in: query
          name: limit
          required: false
          schema:
            example: 20
            maximum: 300
            minimum: 1
            type: integer
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  type: string
                type: array
          description: List of Product IDs.
      summary: List Products matching a Discount
      tags:
        - Discount-Data
security:
  - Kong-Api-Key: []
components:
  parameters:
    discountId:
      description: The ID of the discount.
      in: path
      name: discountId
      required: true
      schema:
        example: "2034284"
        type: string
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
```
